Bug 184586 - [maintainer-update] comms/qsstv stagedir fix
Summary: [maintainer-update] comms/qsstv stagedir fix
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Max Brazhnikov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-12-07 22:50 UTC by Stephen Hurd
Modified: 2014-01-08 08:40 UTC (History)
0 users

See Also:


Attachments
file.diff (583 bytes, patch)
2013-12-07 22:50 UTC, Stephen Hurd
no flags Details | Diff
qsstv.diff (1.93 KB, patch)
2014-01-07 21:35 UTC, Max Brazhnikov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Stephen Hurd freebsd_committer 2013-12-07 22:50:00 UTC
Fix for error reported by Poudriere.

Fix: Patch attached.

Patch attached with submission follows:
Comment 1 Max Brazhnikov freebsd_committer 2013-12-25 11:32:39 UTC
Responsible Changed
From-To: freebsd-ports-bugs->makc

I'll take it.
Comment 2 Max Brazhnikov freebsd_committer 2014-01-07 21:35:11 UTC
Hi Stephen,

I've cleaned up your port a bit. Please take a look at the patch attached,
and let me know if you are ok with the changes.

Cheers,
Max
Comment 3 Stephen Hurd freebsd_committer 2014-01-08 03:44:43 UTC
Max Brazhnikov wrote:
> I've cleaned up your port a bit. Please take a look at the patch attached,
> and let me know if you are ok with the changes.

Looks great, thanks for the extra effort!
Comment 4 dfilter service freebsd_committer 2014-01-08 08:36:43 UTC
Author: makc
Date: Wed Jan  8 08:36:34 2014
New Revision: 339075
URL: http://svnweb.freebsd.org/changeset/ports/339075

Log:
  Clean up port Makefile and patch sources to respect PREFIX (this also fixes
  properly STAGEDIR support the original PR was filed for). While I'm here:
  
  - Don't fiddle with strip
  - Mark IGNORE for debug build: apparently the author of software wrote debug
    target for himself only
  - Use QMAKE_SOURCE_PATH instead of overwriting INSTALL_WRKSRC
  
  PR:		ports/184586
  Submitted by:	Stephen Hurd (maintainer)
  Approved by:	maintainer

Modified:
  head/comms/qsstv/Makefile
  head/comms/qsstv/files/patch-src_src.pro   (contents, props changed)

Modified: head/comms/qsstv/Makefile
==============================================================================
--- head/comms/qsstv/Makefile	Wed Jan  8 08:32:42 2014	(r339074)
+++ head/comms/qsstv/Makefile	Wed Jan  8 08:36:34 2014	(r339075)
@@ -19,21 +19,21 @@ BUILD_DEPENDS=	v4l_compat>=0:${PORTSDIR}
 
 USES=		qmake
 USE_QT4=	gui network moc_build rcc_build uic_build
+QMAKE_SOURCE_PATH=	${WRKSRC}/src
 
 OPTIONS_DEFINE=	DOCS
 
 .include <bsd.port.options.mk>
 
+.if defined(WITH_DEBUG)
+IGNORE=		sources need more patching for debug build
+.endif
+
 .if ! ${PORT_OPTIONS:MDOCS}
-INSTALL_WRKSRC=	${WRKSRC}/src
 INSTALL_TARGET=	install_target
 .endif
 
 post-patch:
 	@${RM} -f ${WRKSRC}/src/documentation/html/gettingstarted.html.orig
-	@${REINPLACE_CMD} -e 's|%%DOCSDIR%%|${DOCSDIR}|g' \
-	    ${WRKSRC}/src/configdialog.cpp ${WRKSRC}/src/src.pro
-	@${REINPLACE_CMD} -e 's|%%PREFIX%%|${PREFIX}|g' \
-	    ${WRKSRC}/src/src.pro
 
 .include <bsd.port.mk>

Modified: head/comms/qsstv/files/patch-src_src.pro
==============================================================================
--- head/comms/qsstv/files/patch-src_src.pro	Wed Jan  8 08:32:42 2014	(r339074)
+++ head/comms/qsstv/files/patch-src_src.pro	Wed Jan  8 08:36:34 2014	(r339075)
@@ -1,11 +1,19 @@
---- src/src.pro.orig	2012-01-04 13:11:46.000000000 -0800
-+++ src/src.pro	2013-06-30 20:05:22.000000000 -0700
-@@ -180,15 +180,15 @@
+--- ./src/src.pro.orig	2012-01-04 21:11:46.000000000 +0000
++++ ./src/src.pro	2014-01-07 16:53:34.793505558 +0000
+@@ -9,7 +9,6 @@
+ 
+ QMAKE_CXXFLAGS_DEBUG -= -O2
+ QMAKE_CXXFLAGS_DEBUG += -g3 -O0
+-QMAKE_STRIP = echo
+ VERSION=7.1.7
+ 
+ message(directory2 $$PWD)
+@@ -180,15 +179,14 @@
  QMAKE_EXTRA_TARGETS   +=   dox
  message(dox will be generated)
  }
 -dox.path=/usr/share/doc/$$TARGET
-+dox.path=%%DOCSDIR%%
++dox.path=$$PREFIX/share/doc/$$TARGET
  dox.files= $$PWD/documentation/html/*
  
 - LIBS += -L/usr/lib64 \
@@ -16,7 +24,6 @@
  
 -target.path=/usr/local/bin
 -target.extra = strip $(TARGET); cp -f $(TARGET) $${PREFIX}/bin/$(TARGET)
-+target.path=%%PREFIX%%/bin
-+target.extra = strip $(TARGET); cp -f $(TARGET) %%PREFIX%%/bin/$(TARGET)
++target.path=$$PREFIX/bin
  INSTALLS +=target
  INSTALLS +=dox
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Max Brazhnikov freebsd_committer 2014-01-08 08:37:27 UTC
State Changed
From-To: open->closed

Fixed, thanks!